As a user, when I (un)save an article outside the saved tab, the item should(n't) be in the list the next time I go to the saved tab.
Closed, ResolvedPublic2 Story Points

Description

List items aren't updating to get the current saved page status…

Need to observe the saved page list and update when it changes. (from the Article VC)

Acceptance criteria:

Scenario: Saving
Given that I am in an article view
And given that the article has been saved
When I tap the bookmark toolbar icon
Then the article should be removed from my saved pages

Fjalapeno updated the task description. (Show Details)
Fjalapeno raised the priority of this task from to Needs Triage.
Fjalapeno moved this task to Needs Estimation on the Wikipedia-iOS-App-Backlog board.
Fjalapeno added a subscriber: Fjalapeno.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2015, 3:05 PM
MBinder_WMF set Security to None.Jul 24 2015, 6:39 PM
MBinder_WMF edited a custom field.
BGerstle-WMF renamed this task from Observe saved page status and update list items when saved pages change to As a user, when I (un)save an article outside the saved tab, the item should(n't) be in the list the next time I go to the saved tab..Oct 7 2015, 9:53 PM
JMinor updated the task description. (Show Details)Oct 22 2015, 10:33 PM
JMinor closed this task as Resolved.Nov 18 2015, 9:05 PM
JMinor added a project: iOS-app-v5-alpha.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 18 2015, 9:05 PM